KDE 4.2 PyKDE API Reference

- KDE's Python API

# KNS Namespace Reference

`from PyKDE4.knewstuff.KNS import *`

## Detailed Description

## Class Index

A | E | Installation (KNS)
Author (KNS) | Engine (KNS) | T
C | Entry (KNS) | KTranslatable (KNS)
Category (KNS) | I |

## Functions

KAction | standardAction (QString what, QObject recvr, QString slot, KActionCollection parent, QString name=0)

## Function Documentation

KAction standardAction | ( | QString | what,
|  | QObject | recvr,
|  | QString | slot,
|  | KActionCollection | parent,
|  | QString | name=0
| ) |  |  |

Standard action for all GHNS workflows.

This action can be used to add KNewStuff support to menus and toolbars.